Subject: Confusing error message from "git pull" when upstream repo no longer exists

From: "Per Cederqvist" <[email-masked]>
Date: Tue, 29 Jun 2010 12:33:16 +0200

When running "git pull", I get this error message:

     fatal: /usr/local/libexec/git-core/git-pull cannot be used without a  
working tree.

"git fetch" gives me a much clearer error message:

     fatal: '/var/git/project.git' does not appear to be a git repository
     fatal: The remote end hung up unexpectedly

/var/git/project.git does no longer exist on the origin server, so I
understand why the commands fail.  I think "git pull" should have a
less confusing error message, though.

     /ceder
-- 
Per Cederqvist, [email-masked]